<template>
    <main id="js-page-content" role="main" class="page-content">
        <ol class="breadcrumb page-breadcrumb">
            <li class="breadcrumb-item active">Dashboard</li>
            <li class="position-absolute pos-top pos-right d-none d-sm-block"><span class="js-get-date"></span></li>
        </ol>
        <div class="subheader">
            <h1 class="subheader-title">
                <i class='subheader-icon fal fa-tachometer-alt'></i> Dashboard<span class='fw-300'></span>
            </h1>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <h1 class="text-center">Welcome {{ fullName }}</h1>
            </div>
        </div>

        <!-- <div v-if="role=='admin'"> -->
            <div class="row mt-5">
                <div class="col-lg-12">
                    <h3>General updates</h3>
                </div>
            </div>

            <div class="row mt-5">
                <div class="col-lg-12">
                    <div id="panel-1" class="panel panel-locked" data-panel-lock="false" data-panel-close="false" data-panel-fullscreen="false" data-panel-collapsed="false" data-panel-color="false" data-panel-locked="false" data-panel-refresh="false" data-panel-reset="false">
                        <div class="panel-container show">
                            <div class="panel-content p-0">
                                <div class="row row-grid no-gutters">
                                    <div class="col-sm-12 col-md-3 col-lg-4 col-xl-3">
                                        <div class="px-3 py-2 d-flex align-items-center">
                                            <vue-easy-pie-chart :percent="totalUsers" :bar-color="color[0]" :scale-length="0" :size="150" >
                                                <span class="text-muted">{{totalUsers}}</span>
                                            </vue-easy-pie-chart>
                                            <span class="d-inline-block ml-2 text-muted">
                                                Total users
                                            </span>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-2 col-lg-4 col-xl-3">
                                        <div class="px-3 py-2 d-flex align-items-center">
                                            <vue-easy-pie-chart :percent="activeUsers" :bar-color="color[1]" :scale-length="0" :size="150">
                                                <span class="text-muted">{{activeUsers}}</span>
                                            </vue-easy-pie-chart>
                                            <span class="d-inline-block ml-2 text-muted">
                                                Active users
                                            </span>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-3 col-lg-4 col-xl-3">
                                        <div class="px-3 py-2 d-flex align-items-center">
                                            <vue-easy-pie-chart :percent="inactiveUsers" :scale-length="0" :size="150">
                                                <span class="text-muted">{{inactiveUsers}}</span>
                                            </vue-easy-pie-chart>
                                            <span class="d-inline-block ml-2 text-muted">
                                                Inactive users
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <!-- </div> -->
    </main>
</template>

<script>
    import VueEasyPieChart from 'vue-easy-pie-chart'
    import 'vue-easy-pie-chart/dist/vue-easy-pie-chart.css'
    export default {
        name: 'Index',
        components:{ VueEasyPieChart },
        data() {
            return {
                fullName:'',
                username:'',
                role: '',
                stats: {},
                totalUsers: 0,
                activeUsers: 0,
                inactiveUsers: 0,
                color: ["#42b7c9","#54de82"]
            }
        },
        created(){
            this.fullName = localStorage.getItem("fullName")
            this.username = localStorage.getItem("username")
            this.role = localStorage.getItem("role")
            this.$store.dispatch('user/stats')
            .then(() => {
                this.stats = this.$store.getters['user/stats']
                this.totalUsers = this.stats.totalUsers
                this.activeUsers = this.stats.activeUsers
                this.inactiveUsers = this.totalUsers-this.activeUsers
            })
        }
    }
</script>

<style scoped>

</style>
